# Skript zum Kurs "Bibliotheks- und Archivinformatik"

Dieses Skript entsteht in der Zeit von September 2019 bis Januar 2020 im Rahmen der folgenden Lehrveranstaltung:

- Kurs "Bibliotheks- und Archivinformatik"
- Dozent: [Felix Lohmeier](http://felixlohmeier.de)
- Herbstsemester 2019
- Lehrauftrag an der [FH Graubünden - Studiengang Information Science](https://www.fhgr.ch/studium/bachelorangebot/wirtschaft-und-dienstleistung/information-science/)
- Bachelor, 4. Semester, 4 ECTS

## Arbeitsumgebung

Wir nutzen eine vorkonfigurierte Arbeitsumgebung mit [JupyterLab](https://jupyterlab.readthedocs.io). Diese Arbeitsumgebung können Sie auf zwei Wegen nutzen:

### Option 1: Binder

Klicken Sie den folgenden Button an, um eine neue Arbeitsumgebung auf einem Cloud-Server des [Binder](https://mybinder.org/)-Projekts zu starten:

[![Launch Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/felixlohmeier/jupyter-stacks/master?urlpath=lab/tree/home/jovyan)

Bei diesem kostenfrei und ohne Registrierung nutzbaren Angebot, sind folgende [Einschränkungen](https://mybinder.readthedocs.io/en/latest/faq.html#how-much-memory-am-i-given-when-using-binder) zu beachten:

* Beschränkt auf 1-2 GB Arbeitsspeicher; bei höherer Auslastung erfolgt ein Neustart.
* Nach 10 Minuten Inaktivität wird der Server gelöscht. Um das zu vermeiden, reicht es aus, das Browserfenster geöffnet zu lassen.
* Eine Session sollte maximal 12 Stunden dauern. Danach kann es zum Abbruch der Session kommen.

### Option 2: VirtualBox

Die Software [VirtualBox](https://www.virtualbox.org/) ermöglicht es Ihnen, verschiedene Arbeitsumgebungen auf Ihrem Computer zu installieren, ohne dass Ihr gewohntes Betriebssystem verändert wird. VirtualBox ist kostenfrei für Windows, macOS und Linux erhältlich.

Laden Sie VirtualBox von der Webseite herunter, installieren Sie das Programm und importieren Sie dann die folgende Virtual Appliance:

(Link zum Download folgt...)

## Gemeinsames Dokument

Für Notizen und zum Austausch verwenden wir ein gemeinsames Dokument in einer [CodiMD](https://github.com/codimd/server)-Installation [bei der GWDG](https://pad.gwdg.de/). Alle, die den Link kennen, können es bearbeiten. Zur Formatierung wird [Markdown](https://de.wikipedia.org/wiki/Markdown) verwendet.

* [Gemeinsames Dokument](https://pad.gwdg.de/7X8eCDVoQB2Ng6DZlG40LQ?both)

## Inhalte

1. 25.09.2019: Installation und Grundlagen
   - Vorstellungsrunde und Organisatorisches
   - Einführung in Markdown und CodiMD:
     - [Präsentation zu CodiMD](https://felixlohmeier.de/slides/2019-06-13_oercamp-reader.html)
     - [Markdown Tutorial](https://www.markdowntutorial.com/)
   - Einführung in die Arbeitsumgebung JupyterLab:
     - Mike Driscoll (2019-04-17): [Getting Started With JupyterLab](https://dzone.com/articles/getting-started-with-jupyterlab)
   - Einführung in die Kommandozeile:
     - Library Carpentry Lesson Unix Shell: [Vorschau mit nbviewer](https://nbviewer.jupyter.org/github/felixlohmeier/bibliotheks-und-archivinformatik/notebooks/01-lc-shell.ipynb) | [Launch Binder](https://mybinder.org/v2/gh/felixlohmeier/jupyter-stacks/master?urlpath=lab/tree/home/jovyan/notebooks/01-lc-shell.ipynb)
   - VirtualBox installieren
   - Aufgabe: Blog einrichten für Lerntagebuch

2. 09.10.2019: Bibliothekssystem Koha

3. 30.10.2019: Archivsystem ArchivesSpace

4. 06.11.2019: Repository-Software DSpace-CRIS

5. 13.11.2019: Metadaten transformieren mit OpenRefine und MarcEdit

6. 27.11.2019: Discovery-System VuFind und Suchmaschine Solr

7. 11.12.2019: Linked Data und Fazit

## Lerntagebücher

Als Prüfungsleistung schreiben Studierende Blogs, in denen sie von ihren Erkenntnissen berichten und sich mit den Inhalten des Seminars auseinandersetzen.

**Blogs der Studierenden:**

(folgt)

## Modulbeschreibung

Im Modul Bibliotheks- und Archivinformatik lernen die Studierenden die in Bibliotheken und Archiven eingesetzten Softwares und Technologien kennen. Funktionsweisen von Bibliothekskatalogen \(bis hin zu Cloud-Konzepten\), von Publikationsplattformen, Repositories etc. werden erläutert. Verschiedene Suchtechnologien werden analysiert und im Einsatz über unterschiedliche Datenbestände angewandt. Es wird gezeigt, wie Metadatenstandards und Austauschprotokolle eingesetzt und genutzt werden.

Nach erfolgreicher Teilnahme am Modul sind die Studierenden in der Lage:

* die Funktionsweise spezifischer Bibliothekssoftware zu verstehen
* die richtige Software für eine spezifische Aufgabe zu evaluieren
* Suchmaschinen zu konfigurieren
* Webseiten für Suchmaschinen zu optimieren \(SEO\)
* Bibliothekarische und archivarische Metadaten \(z.B. MARC, MARCXML, MODS, Dublin Core, EAD, BIBFRAME\) zu modellieren und diese mit entsprechenden Protokollen / Anwendungen zu übertragen
* Crosswalks zwischen unterschiedlichen Metadatenformaten zu programmieren

## Skripte der Vorjahre

Herbstsemester 2017:

* Zenodo: [10.5281/zenodo.3383051](https://doi.org/10.5281/zenodo.3383051)
* GitHub: [v1.0](https://github.com/felixlohmeier/bibliotheks-und-archivinformatik/releases/tag/v1.0)

## Lizenz

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/)

[![Creative Commons Lizenzvertrag](https://i.creativecommons.org/l/by/4.0/88x31.png)](http://creativecommons.org/licenses/by/4.0/)
